ArtifactTypeContainer (Gradle API 4.10.1)
Date: 2018-09-12

org.gradle.api.artifacts.type

## Interface ArtifactTypeContainer

- All Superinterfaces:
    Collection<ArtifactTypeDefinition>, org.gradle.util.Configurable<NamedDomainObjectContainer<ArtifactTypeDefinition>>, DomainObjectCollection<ArtifactTypeDefinition>, Iterable<ArtifactTypeDefinition>, NamedDomainObjectCollection<ArtifactTypeDefinition>, NamedDomainObjectContainer<ArtifactTypeDefinition>, NamedDomainObjectSet<ArtifactTypeDefinition>, Set<ArtifactTypeDefinition>

      @Incubating
      public interface ArtifactTypeContainer
      extends NamedDomainObjectContainer<ArtifactTypeDefinition>

  Defines a set of known artifact types and related meta-data. This allows you to fine tune how dependency resolution handles artifacts of a specific type. Each entry in this container defines a particular artifact type, such as a JAR or an AAR, and some information about that artifact type.
  Since:
    4.0

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`